Ogre::Page::PageRequest Struct Reference

Structure for holding background page requests. More...

`#include <OgrePage.h>`

List of all members.

## Public Member Functions

| PageRequest (Page *p)

## Public Attributes

Page * | srcPage

## Friends

_OgrePagingExport friend std::ostream & | operator<< (std::ostream &o, const PageRequest &r)

## Detailed Description

Structure for holding background page requests.

Definition at line 70 of file OgrePage.h.

## Constructor & Destructor Documentation

Ogre::Page::PageRequest::PageRequest | ( | Page * | p | ) |

Definition at line 76 of file OgrePage.h.

## Friends And Related Function Documentation

_OgrePagingExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const PageRequest & | r
| ) |  | `[friend]`

Definition at line 73 of file OgrePage.h.

## Member Data Documentation

Page* Ogre::Page::PageRequest::srcPage

Definition at line 72 of file OgrePage.h.

The documentation for this struct was generated from the following file:

- OgrePage.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:43